// variables
$font: "Rubik", sans-serif;

$primary-color: #000000;
$secondary-color: #ffffff;
$accent-color: #67d9b7;
$error-color: #f57777;

$transition: 0.3s;

// mixins
@mixin font($size: 1rem, $color: $secondary-color, $weight: 300) {
  font-family: $font;
  font-size: $size;
  color: $color;
  font-weight: $weight;
}

@mixin size($width, $height) {
  width: $width;
  height: $height;
}

@mixin hide-scroll-bar {
  &::-webkit-scrollbar {
    width: 0px;
    background: transparent;
  }
  -ms-overflow-style: none;
  scrollbar-width: none;
}

// extends
%up-field-label {
  transform-origin: left;
  font-size: 0.6875rem;
  transform: translateY(-150%);
  color: $accent-color;
}

// utils
.link {
  @include font(0.9375rem, $accent-color);
  position: relative;
  padding-bottom: 0.1rem;

  text-decoration: none;

  &:after {
    content: "";
    @include size(100%, 1px);
    position: absolute;
    left: 0;
    bottom: 0;

    background-color: $accent-color;
    transition: $transition;
  }

  &:hover:after {
    background-color: $secondary-color;
    transition: $transition;
  }
}
